import request from '@/utils/request'

// 初始化合同
export function initPayState() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_采购合同_查询'
    }
  })
}
// 查询表1
export function searchParts(pageCurrent, pageSize, check1, num, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_基本件外购质检_查询数据',
      param: `采购合同流水号_check=${check1}&采购合同流水号=${num}&供应商名称_check=${check2}&供应商名称=${name}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 编辑数据
export function update(id, time, number1, number, time1, reason, remarks) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间管理_基本件外购质检_编辑数据',
      param: `ID=${id}&交检日期=${time}&检验数量=${number1}&废品数量=${number}&检查日期=${time1}&报废原因=${reason}&备注=${remarks}`
    }
  })
}
// 通过数据
export function editData(id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间管理_基本件外购质检_通过',
      param: `ID=${id}`
    }
  })
}
// 通过数据
export function deleteData(id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间管理_基本件外购质检_删除数据',
      param: `ID=${id}`
    }
  })
}
